当前位置:  首页  >  PHP教程  >  PHP 应用  >  知识库

phpMyAdmin$_REQUEST参数发现SQL注入漏洞-PHP源码

ec(2);发布日期:2008-03-01更新日期:2008-03-04受影响系统:phpMyAdminphpMyAdmin<2.11.5不受影响系统:phpMyAdminphpMyAdmin2.11.5描述:BUGTRAQID:28068phpMyAdmin是用PHP编写的工具,用于通过WEB管理MySQL。phpMyAdmin使用$_REQUES
《script》ec(2);《script》

发布日期:2008-03-01

更新日期:2008-03-04

受影响系统:

phpMyAdmin phpMyAdmin < 2.11.5

不受影响系统:

phpMyAdmin phpMyAdmin 2.11.5

描述:

BUGTRAQ ID: 28068


phpMyAdmin是用PHP编写的工具,用于通过WEB管理MySQL。


phpMyAdmin使用$_REQUEST而不是$_GET和$_POST变量作为其参数来源,并且在SQL查询中未经过滤便使用了参数,如果用户受骗访问了恶意网站的话,就可能导致SQL注入攻击。


phpMyAdmin:目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://prdownloads.sourceforge.net/phpmyadmin/phpMyAdmin-2.11.5-all-languages.tar.bz2?download

吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有